﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace forms_dialog
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void optionsToolStripMenuItem_Click(object sender, EventArgs e)
        {

            // kts. https://msdn.microsoft.com/en-us/library/system.windows.forms.form.dialogresult%28v=vs.110%29.aspx
            dialogi dlg = new dialogi();
            // alustetaan dialogiin jo olemassaoleva teksti
            dlg.teksti = labelMalli.Text;
            if ( dlg.ShowDialog() == DialogResult.OK )
            {
                // valittiin dialogissa OK joten asetetaan uusi teksti labeliin
                labelMalli.Text = dlg.teksti;
            }
            else
            {
                // valittiin Cancel eikä tehdä mitään...

            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            yesno ask = new yesno();
            if ( ask.ShowDialog() == DialogResult.Yes )
            {
                labelMalli.Text = "Kaikki Ok!";
                // valittiin Yes
            }
            else
            {
                // Valittiin No
                labelMalli.Text = "Ei ole kaikki kunnossa...";
            }
        }

        // suljetaan ohjelma (lomake) File|Exit-valinnalla
        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        // tämä suoritetaan kun lomaketta yritetään sulkea
        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            const string message = "Haluatko varmasti lopettaa?";
            const string caption = "Ohjelman lopetus";
            // kts. https://msdn.microsoft.com/en-us/library/system.windows.forms.messagebox%28v=vs.110%29.aspx
            DialogResult result = MessageBox.Show(message, caption,
                                         MessageBoxButtons.YesNo,
                                         MessageBoxIcon.Question);

            if (result == DialogResult.No)
            {
                // Estetään lomakkeen sulkeminen
                e.Cancel = true;
            }

        }
    }
}
